# Delete vendors (v1.0)
Delete a vendor object from Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
DELETE businesscentralPrefix/companies({id})/vendors({id})
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
If-Match|Required. When this request header is included and the eTag provided does not match the current tag on the vendors, the vendors will not be updated.
## Request body (v1.0)
Do not supply a request body for this method.
## Response (v1.0)
If successful, this method returns ```204 No Content``` response code. It does not return anything in the response body.
## Example (v1.0)
Request
Here is an example of the request.
```json
DELETE https://{businesscentralPrefix}/api/v1.0/companies({id})/vendors({id})
```
Response
Here is an example of the response.
```json
HTTP/1.1 204 No Content
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_vendor
dynamics_vendor_get
dynamics_create_vendor
dynamics_vendor_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_vendor_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_vendor_delete/
